%define		_libexecdir	%{_sbindir}
%define		_localstatedir	/var/lib/php
%define		_sysconfdir	/etc

Summary: 	The PHP HTML-embedded scripting language.
Name: 		PHP
Version: 	5.2.0
Release: 	1
Group: 		System
URL: 		http://www.php.net/
Source0: 	php-%{version}.tar.bz2
License: 	PHP License
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	MySQL gd-devel freetype1-devel libtiff-devel db4-devel
BuildRequires: 	bzip2-devel gdbm-devel openssl-devel zlib-devel
BuildRequires: 	zlib-devel gmp-devel
Provides: 	php

%description
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache Web server to understand and process
the embedded PHP language in Web pages.

%package        devel
Summary:        Libraries, includes and more to develop %{name} applications.
Group:          Development
Provides:	php-devel

%description    devel
This is the libraries, include files and other resources you can use to
develop %{name} applications.

%prep
%setup -q -n php-%{version}

%build
#CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS
#rm -r missing
#libtoolize --copy --force
#aclocal
#autoconf
configure \
	--disable-static \
	--without-static \
	--enable-shared=yes \
	--with-mysql \
	--with-shared=yes \
	--enable-msql=yes \
	--enable-mssql=yes \
	--prefix=%{_prefix} \
	--with-config-file-path=/etc \
	--disable-force-cgi-redirect \
	--disable-debug \
	--enable-pic \
	--disable-rpath \
	--enable-inline-optimization \
	--with-bz2 \
	--with-db4 \
	--with-exec-dir=%{_bindir} \
	--with-freetype-dir=/usr/X11R6/lib \
	--with-gd \
	--with-gdbm \
	--with-gmp \
	--with-iconv \
	--with-jpeg-dir=/usr/lib \
	--with-openssl \
	--with-png-dir=/usr/lib \
	--with-zlib-dir=/usr/lib \
	--with-pspell \
	--with-regex=system \
	--with-tiff-dir=/usr/lib \
	--with-ttf \
	--enable-xml \
	--with-expat \
	--with-layout=GNU \
	--enable-bcmath \
	--enable-debugger \
	--enable-ftp \
	--enable-magic-quotes \
	--enable-safe-mode \
	--enable-sockets \
	--enable-sysvsem \
	--enable-sysvshm \
	--enable-track-vars \
	--enable-trans-sid \
	--enable-yp \
	--enable-wddx \
	--without-oci8 \
	--with-mysql-dir=/usr/include/mysql \
	--with-xpm-dir=/usr/X11/lib \
	--without-gettext \
	--with-dbase \
	--with-filepro \
	--with-versioning \
	--with-mod_charset \
	--disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/lib/php
mkdir -p $RPM_BUILD_ROOT/etc
cp php.ini-recommended $RPM_BUILD_ROOT/etc/php.ini
mv $RPM_BUILD_ROOT/usr/etc/* $RPM_BUILD_ROOT/etc; rmdir $RPM_BUILD_ROOT/usr/etc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}
%{_libdir}
%{_datadir}
%{_sysconfdir}
%{_localstatedir}

%files devel
%defattr(-,root,root)
%{_includedir}
